[SOLVED] Kubuntu 'Menu Editor' - Where is it

I’ve just installed (manually) the latest version of FF Multi Converter and it has no menu entry.
How do I add a menu entry for the program?
I previously had another version installed (via Muon) but removed that before installing the updated version. The earlier version had a menu entry but the new version does not.
I have googled it and people are talking about ‘Kmenu editor’ but I can’t find it.
The instructions I’ve found are;

Edit K-Menu

Kubuntu comes with the KDE Menu Editor, so you can customize your menus and add entries for applications that don’t automatically appear after they are installed.

To add a new menu entry:

Open KDE Menu Editor by right-clicking on K-menu and choosing Menu Editor.

In KDE Menu Editor's left-hand pane, choose the submenu the new entry should appear in.

Choose File->New Item. In the New Item window, choose a Name. Then add the Description, Comment, and Command. Select the icon by clicking on Icon. The Command will usually be the package name, Name is what will appear on the menu, and the Comment will appear in the tooltip that appears near the menu entry. Icons are chosen from /usr/share/pixmaps directory by default, or can be chosen from anywhere in your files.

To change the order of menu entries, click and drag the entry in the KDE Menu Editor window.

The problem is, There is no ‘Menu Editor’ in ‘K-Menu’
So… Where IS ‘K-Menu’

so what happens if you run:

kmenuedit

?

pooky2483@pooky2483-Kubuntu-1204:~$ kmenuedit
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
couldn’t create image from “”
couldn’t create image from “”
Could not resolve property : linearGradient5167
pooky2483@pooky2483-Kubuntu-1204:~$ Bus::open: Can not get ibus-daemon’s address.
IBusInputContext::createInputContext: no connection to ibus-daemon

And it opens…

http://imageshack.com/scaled/medium/538/kOpDQu.jpg

…It worked.

Where are the actual ‘programs’ saved?
What’s the folder/directory location…

probably /usr/bin

but what happens if you run:

ffmulticonverter

and in the menu editor, is FF Multi Converter listed under the “Office” heading ?

iif not, how did you install ffmulticonverter ?

and if you first run:

sudo apt-get updatedb

then what’s the output from:

locate ffmulticonverter

pooky2483@pooky2483-Kubuntu-1204:~$ sudo apt-get updatedb
[sudo] password for pooky2483:
E: Invalid operation updatedb
pooky2483@pooky2483-Kubuntu-1204:~$

Looks like I’ve not got that, how do I install it

sorry

sudo updatedb

then what’s the output from:

locate ffmulticonverter

remember to answer my other 3 questions too.

It opens up the program

and in the menu editor, is FF Multi Converter listed under the "Office" heading ?

if not, how did you install ffmulticonverter ?


As explained in my first post. 1.6 was through Muon. I then used Muon to remove it.
After downloading ‘ffmulticonverter-1.7.0.tar.gz’ and unpacking it, I read ‘README.txt’, HERE [spoiler]FF Multi Converter

FF Multi Converter is a simple graphical application which enables you to
convert audio, video, image and document files between all popular formats,
by using and combining other applications. It uses ffmpeg for audio/video files,
unoconv for document files and ImageMagick library for image file conversions.

Project homepage: https://sites.google.com/site/ffmulticonverter/

Dependencies

python3
pyqt4

Optional dependencies

ffmpeg or libav
imagemagick
unoconv

The program does NOT require the optional dependencies to run.
E.g. you can run the application even if you don’t have ImageMagick installed,
but you will be able to convert any other types except image files.

[B]Installation

From application’s directory run as root:
python3 setup.py install[/B]

Uninstall

Run the following as root to delete all project files from your system:
sh uninstall.sh

Note:
If you’ve used a package manager to install the application you should use it
again to remove it, instead of running the above script.
[/spoiler]
And, as per the instructions, in terminal, I ran

python3 setup.py install

ffmulticonverter is under ‘Office’, 'Multimedia’and ‘Favourites’

and if you first run:
sudo apt-get updatedb

then what’s the output from:

locate ffmulticonverter

This is before

sudo apt-get updatedb

/etc/apt/sources.list.d/ffmulticonverter-stable-trusty.list
/etc/apt/sources.list.d/ffmulticonverter-stable-trusty.list.save
/etc/apt/trusted.gpg.d/ffmulticonverter-stable.gpg
/etc/apt/trusted.gpg.d/ffmulticonverter-stable.gpg~
/home/pooky2483/.config/ffmulticonverter
/home/pooky2483/.config/ffmulticonverter/FF Muli Converter.conf
/home/pooky2483/.config/ffmulticonverter/logs
/home/pooky2483/.config/ffmulticonverter/logs/history.log
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter-1.7.0.tar.gz.desktop
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter.1.desktop
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter.1.gz.desktop
/home/pooky2483/.kde/share/apps/dolphin/view_properties/local/media/Drive3/Downloads/FF Multi Converter/ffmulticonverter-1.7.0
/home/pooky2483/.kde/share/apps/dolphin/view_properties/local/media/Drive3/Downloads/FF Multi Converter/ffmulticonverter-1.7.0/.directory
/usr/local/bin/ffmulticonverter
/usr/local/lib/python3.4/dist-packages/ffmulticonverter
/usr/local/lib/python3.4/dist-packages/ffmulticonverter-1.7.0.egg-info
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/init.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/about_dlg.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/audiovideotab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/config.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/documenttab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/ffmulticonverter.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/imagetab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/preferences_dlg.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/presets_dlgs.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/progress.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/qrc_resources.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/utils.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/init.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/about_dlg.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/audiovideotab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/config.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/documenttab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/ffmulticonverter.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/imagetab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/preferences_dlg.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/presets_dlgs.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/progress.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/qrc_resources.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/utils.cpython-34.pyc
/usr/local/share/ffmulticonverter
/usr/local/share/applications/ffmulticonverter.desktop
/usr/local/share/ffmulticonverter/presets.xml
/usr/local/share/man/man1/ffmulticonverter.1.gz
/usr/local/share/pixmaps/ffmulticonverter.png
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_Release
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_Release.gpg
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_main_binary-amd64_Packages
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_main_binary-i386_Packages

This is after

sudo apt-get updatedb

/etc/apt/sources.list.d/ffmulticonverter-stable-trusty.list
/etc/apt/sources.list.d/ffmulticonverter-stable-trusty.list.save
/etc/apt/trusted.gpg.d/ffmulticonverter-stable.gpg
/etc/apt/trusted.gpg.d/ffmulticonverter-stable.gpg~
/home/pooky2483/.config/ffmulticonverter
/home/pooky2483/.config/ffmulticonverter/FF Muli Converter.conf
/home/pooky2483/.config/ffmulticonverter/logs
/home/pooky2483/.config/ffmulticonverter/logs/history.log
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter-1.7.0.tar.gz.desktop
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter.1.desktop
/home/pooky2483/.kde/share/apps/RecentDocuments/ffmulticonverter.1.gz.desktop
/home/pooky2483/.kde/share/apps/dolphin/view_properties/local/media/Drive3/Downloads/FF Multi Converter/ffmulticonverter-1.7.0
/home/pooky2483/.kde/share/apps/dolphin/view_properties/local/media/Drive3/Downloads/FF Multi Converter/ffmulticonverter-1.7.0/.directory
/usr/local/bin/ffmulticonverter
/usr/local/lib/python3.4/dist-packages/ffmulticonverter
/usr/local/lib/python3.4/dist-packages/ffmulticonverter-1.7.0.egg-info
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/init.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/about_dlg.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/audiovideotab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/config.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/documenttab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/ffmulticonverter.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/imagetab.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/preferences_dlg.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/presets_dlgs.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/progress.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/qrc_resources.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/utils.py
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/init.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/about_dlg.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/audiovideotab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/config.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/documenttab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/ffmulticonverter.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/imagetab.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/preferences_dlg.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/presets_dlgs.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/progress.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/qrc_resources.cpython-34.pyc
/usr/local/lib/python3.4/dist-packages/ffmulticonverter/pycache/utils.cpython-34.pyc
/usr/local/share/ffmulticonverter
/usr/local/share/applications/ffmulticonverter.desktop
/usr/local/share/ffmulticonverter/presets.xml
/usr/local/share/man/man1/ffmulticonverter.1.gz
/usr/local/share/pixmaps/ffmulticonverter.png
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_Release
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_Release.gpg
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_main_binary-amd64_Packages
/var/lib/apt/lists/ppa.launchpad.net_ffmulticonverter_stable_ubuntu_dists_trusty_main_binary-i386_Packages

That is after first entering the correct

sudo updatedb

if running:

ffmulticonverter

starts the application

and it’s listed under “Office” and “Multimedia” … what exactly is the problem now ?

It’s OK, all sorted now.
[SOLVED]

Erm … you’re welcome ???